Saltar para o conteúdo principal

Este browser já não é suportado.

Atualize para o Microsoft Edge para tirar partido das mais recentes funcionalidades, atualizações de segurança e de suporte técnico.

Transferir Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update memories

POST /memory_stores/{name}:update_memories

Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.

Parâmetros do cabeçalho

Foundry-Features enum obrigatório

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parâmetros de caminho

name string obrigatório

The name of the memory store to update.

Parâmetros de consultas

api-version string obrigatório

The API version to use for this operation.

Corpo do Pedido

Content-Type: application/json
scope string obrigatório

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Conversation items to be stored in memory.

previous_update_id string

The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.

update_delay integer

Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).

Respostas

The request has been accepted for processing, but processing has not yet completed.

Cabeçalhos

Operation-Location string obrigatório

The location for monitoring the operation state.

Corpo

Content-Type: application/json
update_id string obrigatório

The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.

status string | enum obrigatório

Status of a memory store update operation.

Qualquer uma das seguintes opções:
string
enum
queuedin_progresscompletedfailedsuperseded
superseded_by string

The update_id the operation was superseded by when status is "superseded".

result MemoryStoreUpdateCompletedResult

Memory update result.

memory_operations MemoryOperation[] obrigatório

A list of individual memory operations that were performed during the update.

usage MemoryStoreOperationUsage obrigatório

Usage statistics of a memory store operation.

embedding_tokens integer obrigatório

The number of embedding tokens.

input_tokens integer obrigatório
input_tokens_details OpenAI.ResponseUsageInputTokensDetails obrigatório
cached_tokens integer obrigatório
cache_write_tokens integer obrigatório
output_tokens integer obrigatório
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails obrigatório
reasoning_tokens integer obrigatório
total_tokens integer obrigatório
error OpenAI.Error
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Client error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Pedir

POST /memory_stores/{name}:update_memories HTTP/1.1

Response

Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-pt
Suas opções de privacidade
  • Exclusão de responsabilidade de IA
  • Versões anteriores
  • Blogue
  • Contribuir
  • Privacidade
  • Privacidade da Saúde do Consumidor
  • Termos de Utilização
  • Marcas Comerciais
  • © Microsoft 2026